// the first call (1st mpt() avatar) display a non allocated mtx whereas
// the second (2d mpt() avatar with a 2d argument for a comment)
// display an allocated matrix ( the main mtx fields along with the
// ancillary fields required to interface with the GSl vector and matrix objects
program mpt_;
uses mtx09;
var
  a:mtx;
begin
  mpt(a);
  equ(a,'1 2 3; 4 5 6');
  mpt(a,'my comment')
end.
